Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.legacy
Class LegacyPollingBuildStrategy

    java.lang.Object
      com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
          com.atlassian.bamboo.legacy.LegacyAbstractPollingBuildStrategy
              com.atlassian.bamboo.legacy.LegacyPollingBuildStrategy

All Implemented Interfaces:
  BuildStrategy, ConvertibleFromConfig

    public class LegacyPollingBuildStrategy

extends LegacyAbstractPollingBuildStrategy

This class defines the build, only if the build has changed strategy. This is the normal case for continuous integration.

Constructor Summary
`LegacyPollingBuildStrategy()`
`LegacyPollingBuildStrategy(AdministrationConfiguration administrationConfiguration)`

Method Summary
`void` | `addDefaultValues(BuildConfiguration buildConfiguration)`
`Collection` | `getChangeList()` Get the changes that have been detected
`String` | `getDescription()`
`String` | `getKey()` A lowercase string key to identify the build strategy
`String` | `getName()` Returns the display name of the strategy
`boolean` | `requiresBuild(Build build)` Has the given build changed since this last time is was built? If the elapsed time since the build is within the build's polling period it's ignored
`boolean` | `requiresPreBuildClean()` No point!
`ErrorCollection` | `validate(BuildConfiguration buildConfiguration)` Takes in a `BuildConfiguration` and returns any errors possible

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractPollingBuildStrategy
`getBuildMessage, hasBeenPolled, isWithinPollingPeriod, setBuildMessage, updateLastPollTime`

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
`init, log, populateFromConfig, toConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyPollingBuildStrategy

    public LegacyPollingBuildStrategy()

### LegacyPollingBuildStrategy

    public LegacyPollingBuildStrategy(AdministrationConfiguration administrationConfiguration)

Method Detail

### getKey

    public String getKey()

  Description copied from interface: `BuildStrategy`
  A lowercase string key to identify the build strategy

  Returns:
    String must not be null

### getName

    public String getName()

  Description copied from interface: `BuildStrategy`
  Returns the display name of the strategy

  Returns:
    String must not be null

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `BuildStrategy`
  Overrides:
    `getDescription` in class `LegacyAbstractBuildStrategy`

### addDefaultValues

    public void addDefaultValues(BuildConfiguration buildConfiguration)

  Specified by:
    `addDefaultValues` in interface `BuildStrategy`
  Overrides:
    `addDefaultValues` in class `LegacyAbstractBuildStrategy`

### validate

    public ErrorCollection validate(BuildConfiguration buildConfiguration)

  Description copied from interface: `BuildStrategy`
  Takes in a `BuildConfiguration` and returns any errors possible

  Specified by:
    `validate` in interface `BuildStrategy`
  Overrides:
    `validate` in class `LegacyAbstractBuildStrategy`
  Parameters:
    `buildConfiguration` - not null
  Returns:
    `ErrorCollection`. must not be null

### requiresBuild

    public boolean requiresBuild(Build build)
                          throws RepositoryException

  Has the given build changed since this last time is was built?

  If the elapsed time since the build is within the build's polling period it's ignored

  Parameters:
    `build` - The build we are checking for changes
  Returns:
    true iff the build has changed, false otherwise
  Throws:
    `RepositoryException`

### requiresPreBuildClean

    public boolean requiresPreBuildClean()

  No point!

  Returns:
    false

### getChangeList

    public Collection getChangeList()

  Get the changes that have been detected

  Returns:
    The files that have changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.